org.apache.hadoop.mapred

## Class Task.OldCombinerRunner<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.Task.CombinerRunner<K,V>
  - - org.apache.hadoop.mapred.Task.OldCombinerRunner<K,V>

- Enclosing class:
    Task

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      protected static class Task.OldCombinerRunner<K,V>
      extends Task.CombinerRunner<K,V>

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapred.Task.CombinerRunner

      `inputCounter, job, reporter`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OldCombinerRunner(Class<? extends Reducer<K,V,K,V>> cls, JobConf conf, Counters.Counter inputCounter, Task.TaskReporter reporter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `combine(RawKeyValueIterator kvIter, OutputCollector<K,V> combineCollector)` Run the combiner over a set of inputs.

    - ### Methods inherited from class org.apache.hadoop.mapred.Task.CombinerRunner

      `create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldCombinerRunner

          protected OldCombinerRunner(Class<? extends Reducer<K,V,K,V>> cls,
                                      JobConf conf,
                                      Counters.Counter inputCounter,
                                      Task.TaskReporter reporter)

  - ### Method Detail

    - #### combine

          public void combine(RawKeyValueIterator kvIter,
                              OutputCollector<K,V> combineCollector)
                       throws IOException

      Description copied from class: `Task.CombinerRunner`
      Run the combiner over a set of inputs.
      Specified by:
        `combine` in class `Task.CombinerRunner<K,V>`
      Parameters:
        `kvIter` - the key/value pairs to use as input
        `combineCollector` - the output collector
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.